# redivis-r

The Redivis client library for R allows you to connect data on Redivis with the R scientific stack. Core functionality allows for reading data and metadata, executing queries, and uploading new data.

This library can be used from within [R notebooks on Redivis](https://docs.redivis.com/reference/projects/notebook-nodes/r-notebooks), but can also be run on any other computer with R installed.

{% content-ref url="/pages/-MbEPSKZ\_1B41g4hRcS9" %}
[Getting started](/api/client-libraries/redivis-r/getting-started.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MbEPiqpS6e-u8akx0vL" %}
[Examples](/api/client-libraries/redivis-r/examples.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MbEPjMatWDWThjAxSWK" %}
[Reference](/api/client-libraries/redivis-r/reference.md)
{% endcontent-ref %}

## Issues and feature requests

Please report any issues or feature requests in the [issue tracker](https://github.com/redivis/redivis-r/issues).

## Using these docs

If you're installing this library for the first time, consult the [Getting started section](/api/client-libraries/redivis-r/getting-started.md).

Redivis resources are represented by a series of classes, with the methods and properties on each class documented in the [Reference section](/api/client-libraries/redivis-r/reference.md).

Many methods contain examples of their use, and you can view more comprehensive examples of common use cases in the [Examples section](/api/client-libraries/redivis-r/examples.md)[.](/api/client-libraries/redivis-r/examples.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
